﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace chat
{
    public partial class Form1 : Form
    {
        MySqlConnectionStringBuilder bag;

        public Form1()
        {
            InitializeComponent();
            bag = new MySqlConnectionStringBuilder();
            bag.Server = "localhost"; //192.168.81.192
            bag.UserID = "user";
            bag.Password = "123456";
            bag.Database = "hafta2_2";

        }

        private void giris_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Length > 0 && textBox1.Text.Length < 45 &&
               textBox2.Text.Length > 0 && textBox2.Text.Length < 45)
            {
                MySqlConnection conn = new MySqlConnection(bag.ToString());
                MySqlCommand sel_cmd = new MySqlCommand("select username, passwd from user where username=@username and passwd=md5(@passwd);", conn);
                sel_cmd.Parameters.AddWithValue("@username", textBox1.Text);
                sel_cmd.Parameters.AddWithValue("@passwd", textBox2.Text);
                // MySqlDataAdapter da = new MySqlDataAdapter(sel_cmd);
                MySqlDataAdapter da = new MySqlDataAdapter();
                da.SelectCommand = sel_cmd;
                DataTable dt = new DataTable();
                da.Fill(dt);
                textBox2.Text = "";

                if (dt.Rows.Count == 1)
                {
                    this.Hide();
                    Form2 frm2 = new Form2(bag,textBox1.Text);
                    frm2.ShowDialog();
                    this.Show();
                }
                else
                    MessageBox.Show("Kullanıcı bilgileriniz hatalı!");
                
                


                  
            
            }



        }

        private void yenikayit_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Length > 0 && textBox1.Text.Length < 45 &&
                textBox2.Text.Length > 0 && textBox2.Text.Length < 45)
            {
                MySqlConnection conn = new MySqlConnection(bag.ToString());
                MySqlCommand sel_cmd = 
                    new MySqlCommand("select username, passwd from user;", conn);
                MySqlCommand ins_cmd = 
                    new MySqlCommand("insert into user(username,passwd) values(@username,md5(@passwd));", conn);
                ins_cmd.Parameters.Add("@username", MySqlDbType.VarChar, 45, "username");
                ins_cmd.Parameters.Add("@passwd", MySqlDbType.VarChar, 45, "passwd");

                MySqlDataAdapter da = new MySqlDataAdapter();
                da.SelectCommand = sel_cmd;
                da.InsertCommand = ins_cmd;

                DataTable dt = new DataTable();
                da.Fill(dt);
                int satir=dt.Rows.Count;

                for (int i = 0; i < satir; i++)
                {
                    if (dt.Rows[i].ItemArray[0].ToString() == textBox1.Text)
                    {
                        MessageBox.Show("Kullanıcı adı sistemde mevcut!");
                        return;
                    }
                }

                DataRow dr = dt.NewRow();
                dr["username"] = textBox1.Text;
                dr["passwd"] = textBox2.Text;
                dt.Rows.Add(dr);
                da.Update(dt);
                textBox2.Text = "";
                MessageBox.Show("Kullanıcı sisteme kaydedildi!");

            }

        }
    }
}
