﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace chat
{
    public partial class Form2 : Form
    {
        MySqlConnectionStringBuilder bag;
        string username;
        int mevcutid = 0;
        public Form2(MySqlConnectionStringBuilder _bag, string _username)
        {
            InitializeComponent();
            bag = _bag;
            username = _username;
            label2.Text = username;
            timer1.Enabled = true;
        }

        private void verigetir()
        {

            MySqlConnection conn = new MySqlConnection(bag.ToString());
            MySqlDataAdapter da = new MySqlDataAdapter("select idchat,username,icerik,zaman from chat order by idchat desc limit 50;", conn);
            DataTable dt = new DataTable();
            da.Fill(dt);

            int satirsayisi = dt.Rows.Count-1;

            for (int k = satirsayisi; k > -1; k--)
            {
                if (mevcutid < Convert.ToInt32(dt.Rows[k].ItemArray[0].ToString()))
                {
                    listBox1.Items.Add(dt.Rows[k].ItemArray[1].ToString() + "::" + dt.Rows[k].ItemArray[2].ToString());
                    mevcutid = Convert.ToInt32(dt.Rows[k].ItemArray[0].ToString());
                }
            }

            listBox1.SelectedIndex = listBox1.Items.Count - 1;




        
        }

        private void gonder_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Length > 0)
            {
                MySqlConnection conn = new MySqlConnection(bag.ToString());
                MySqlCommand sel_cmd = new MySqlCommand("select idchat,username,icerik from chat limit 1;", conn);
                MySqlCommand ins_cmd = new MySqlCommand("insert into chat(username,icerik) values(@username,@icerik);", conn);
                ins_cmd.Parameters.Add("@username", MySqlDbType.VarChar, 45, "username");
                ins_cmd.Parameters.Add("@icerik", MySqlDbType.Text, 500, "icerik");
                MySqlDataAdapter da = new MySqlDataAdapter();
                da.SelectCommand = sel_cmd;
                da.InsertCommand = ins_cmd;
                DataTable dt = new DataTable();
                da.Fill(dt);
                DataRow dr = dt.NewRow();
                dr["username"] = username;
                dr["icerik"] = textBox1.Text;
                dt.Rows.Add(dr);
                da.Update(dt);
                textBox1.Clear();
                timer1.Enabled = true;
             
            }

        }

        private void cikis_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            timer1.Enabled = false;
            verigetir();
            timer1.Enabled = true;

        }
    }
}
